Bug 170308 - [MAINTAINER] net/xrdp: Convert to OptionsNG etc
Summary: [MAINTAINER] net/xrdp: Convert to OptionsNG etc
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Alex Kozlov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-08-01 07:50 UTC by Koichiro IWAO
Modified: 2012-08-06 13:00 UTC (History)
1 user (show)

See Also:


Attachments
xrdp-0.6.0.20110117_2.patch (2.09 KB, patch)
2012-08-01 07:50 UTC, Koichiro IWAO
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Koichiro IWAO 2012-08-01 07:50:09 UTC
- OptionsNG'ify
- Add @stopdaemon to pkg-plist
- Modify rc.d script and pkg-message (xrdpsesman_enable="YES" is no longer needed)

Success on redports.org https://redports.org/buildarchive/20120801060358-76618/
This PR is my first conversion to OptionsNG. Thanks in advance,

Port maintainer (meta+ports@vmeta.jp) is cc'd.

Generated with FreeBSD Port Tools 0.99_6 (mode: change, diff: ports)
Comment 1 Edwin Groothuis freebsd_committer 2012-08-01 07:50:20 UTC
Class Changed
From-To: maintainer-update->change-request

Fix category (submitter is not maintainer) (via the GNATS Auto Assign 
Tool)
Comment 2 Edwin Groothuis freebsd_committer 2012-08-01 07:50:23 UTC
Maintainer of net/xrdp,

Please note that PR ports/170308 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/170308

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2012-08-01 07:50:25 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 Koichiro Iwao freebsd_committer 2012-08-01 08:54:53 UTC
Sorry, I sent the PR from different email address.
Thus this is definitely maintainer-update.

/* RESEND: 
 *   I forgot to Cc'ing freebsd-gnats-submit@freebsd.org
 */

-- 
`whois vmeta.jp | nkf -w`
Comment 5 Koichiro Iwao freebsd_committer 2012-08-02 17:30:21 UTC
This is DEFINITELY mainainter update.
Would someone fix class again?

-- 
meta <meta@vmeta.jp>
Comment 6 Koichiro Iwao freebsd_committer 2012-08-02 17:30:21 UTC
This is DEFINITELY mainainter update.
Would someone fix class again?

-- 
meta <meta@vmeta.jp>
Comment 7 Mark Linimon freebsd_committer freebsd_triage 2012-08-02 21:40:34 UTC
Class Changed
From-To: change-request->maintainer-update

Submitter is maintainer from another address.
Comment 8 Bryan Drewery 2012-08-02 23:21:34 UTC
+.if ${PORT_OPTIONS:MJP106}
+JP106_DESC=        Install Japanese JP106 keymap

The JP106_DESC should be up with the OPTIONS_DEFINE and not inside of
the .if block.
Comment 9 dfilter service freebsd_committer 2012-08-06 12:56:07 UTC
Author: ak
Date: Mon Aug  6 11:55:56 2012
New Revision: 302169
URL: http://svn.freebsd.org/changeset/ports/302169

Log:
  - Convert to new options framework
  - Add @stopdaemon for xrdp
  - Remove xrdpsesman_enable (no longer needed)
  
  PR:	ports/170308
  Submitted by:	Koichiro IWAO <meta@vmeta.jp> (maintainer)

Modified:
  head/net/xrdp/Makefile
  head/net/xrdp/files/pkg-message.in   (contents, props changed)
  head/net/xrdp/files/xrdp.in   (contents, props changed)
  head/net/xrdp/pkg-plist

Modified: head/net/xrdp/Makefile
==============================================================================
--- head/net/xrdp/Makefile	Mon Aug  6 11:53:17 2012	(r302168)
+++ head/net/xrdp/Makefile	Mon Aug  6 11:55:56 2012	(r302169)
@@ -7,7 +7,7 @@
 
 PORTNAME=	xrdp
 PORTVERSION=	0.6.0.20110117
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	net
 MASTER_SITES=	http://www.club.kyutech.ac.jp/~meta/distfiles/ \
 		http://key2.jp/~meta/distfiles/
@@ -35,16 +35,17 @@ RUN_DEPENDS+=	Xvnc:${PORTSDIR}/net/vnc
 
 USE_LDCONFIG=	${PREFIX}/lib/xrdp
 
-OPTIONS=	DEBUG "Build with debugging symbols" off \
-		JP106 "Install Japanese JP106 Keymap" on
+OPTIONS_DEFINE=	DEBUG JP106
+OPTIONS_DEFAULT=	JP106
+JP106_DESC=	Install Japanese JP106 keymap
 
 .include <bsd.port.options.mk>
 
-.if defined(WITH_DEBUG)
+.if ${PORT_OPTIONS:MDEBUG}
 CFLAGS+=	-DXRDP_DEBUG
 .endif
 
-.if defined(WITH_JP106)
+.if ${PORT_OPTIONS:MJP106}
 PATCHFILES+=	patch-instfiles__Makefile.am \
 	patch-instfiles__km-0411.ini \
 	patch-instfiles__km-e0010411.ini \

Modified: head/net/xrdp/files/pkg-message.in
==============================================================================
--- head/net/xrdp/files/pkg-message.in	Mon Aug  6 11:53:17 2012	(r302168)
+++ head/net/xrdp/files/pkg-message.in	Mon Aug  6 11:55:56 2012	(r302169)
@@ -6,7 +6,6 @@ There is an rc.d script, so the service 
 in /etc/rc.conf:
 
 xrdp_enable="YES"
-xrdpsesman_enable="YES"
 
 Do not forget to edit the configuration files in "%%PREFIX%%/etc/xrdp"
 and the "%%PREFIX%%/etc/xrdp/startwm.sh" script.

Modified: head/net/xrdp/files/xrdp.in
==============================================================================
--- head/net/xrdp/files/xrdp.in	Mon Aug  6 11:53:17 2012	(r302168)
+++ head/net/xrdp/files/xrdp.in	Mon Aug  6 11:55:56 2012	(r302169)
@@ -16,13 +16,6 @@ xrdp_daemons="xrdp xrdpsesman"
 load_rc_config "$name"
 : ${xrdp_enable="NO"}
 
-# Enable/disable dependent daemon.
-if [ -n "${rcvar}" ] && checkyesno "${rcvar}"; then
-	: ${sesman_enable="YES"}
-else
-	: ${sesman_enable="NO"}
-fi
-
 # Commands.
 extra_commands="reload status"
 start_cmd="xrdp_cmd"

Modified: head/net/xrdp/pkg-plist
==============================================================================
--- head/net/xrdp/pkg-plist	Mon Aug  6 11:53:17 2012	(r302168)
+++ head/net/xrdp/pkg-plist	Mon Aug  6 11:55:56 2012	(r302169)
@@ -1,3 +1,4 @@
+@stopdaemon xrdp
 bin/xrdp-genkeymap
 bin/xrdp-keygen
 bin/xrdp-sesadmin
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 10 Alex Kozlov freebsd_committer 2012-08-06 12:57:38 UTC
Responsible Changed
From-To: freebsd-ports-bugs->ak

I'll take it.
Comment 11 Alex Kozlov freebsd_committer 2012-08-06 12:57:51 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!